%define major 1
%define libname %mklibname %{name} %{major}
%define devel %mklibname %name -d

Name:           waylandpp
Version:        1.0.0
Release:        %mkrel 1
Summary:        Wayland C++ bindings
Group:          System/Libraries
License:        BSD and MIT and GPLv3+
URL:            https://github.com/NilsBrause/waylandpp/
Source0:        https://github.com/NilsBrause/waylandpp/archive/%{version}/waylandpp-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  mesa-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(pugixml)

%description
Wayland is an object oriented display protocol, which features request and
events. Requests can be seen as method calls on certain objects, whereas
events can be seen as signals of an object. This makes the Wayland protocol
a perfect candidate for a C++ binding.

The goal of this library is to create such a C++ binding for Wayland using
the most modern C++ technology currently available, providing an easy to use
C++ API to Wayland.

%package -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
#hack due to bug in rpm provides
Provides:       libwayland-client-extra++.so.1()(64bit)
Provides:       libwayland-client++.so.1()(64bit)
Provides:       libwayland-client-unstable++.so.1()(64bit)
Provides:       libwayland-cursor++.so.1()(64bit)
Provides:       libwayland-egl++.so.1()(64bit)
Provides:       libwayland-server-extra++.so.1()(64bit)
Provides:       libwayland-server++.so.1()(64bit)
Provides:       libwayland-server-unstable++.so.1()(64bit)

%description -n %{libname}
The %{libname} package contains library files for %{name}.

%package -n %{devel}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides: pkgconfig(wayland-client++)
Provides: pkgconfig(wayland-client-extra++)
Provides: pkgconfig(wayland-client-unstable++)
Provides: pkgconfig(waylanpkgconfig(wayland-cursor++)
Provides: pkgconfig(waylan pkgconfig(wayland-cursor++)
Provides: pkgconfig(waylan pkgconfig(wayland-egl++)
Provides: pkgconfig(waylanpkgconfig(wayland-scanner++)

%description -n %{devel}
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
 
%description doc
The %{name}-doc package contains development documentation for %{name}.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-doc/
%cmake_build

%install
%cmake_install

# Drop LaTeX documentation (HTML documentation is already built)
rm -r $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-doc/latex/


%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devel}
%doc example/
%{_bindir}/wayland-scanner++
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/%{name}/
%{_mandir}/man3/*.3.*

%files doc
%{_defaultdocdir}/%{name}-doc/


%changelog
* Sat Jul 09 2022 tex- 1.0.0-1pclos2022
- new version
- new major

* Thu May 13 2021 tex - 0.2.8-2pclos2021
- rebuild against updates

